Page MenuHomePhabricator

Increase number of results returned by /page/related to 20
Closed, ResolvedPublic

Event Timeline

JoeWalsh created this task.Jul 12 2018, 4:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2018, 4:29 PM

For the iOS app to adopt /page/related, we'd need 20 results to match our existing feed behavior

@Dbrant would that work for you on Android or would you need more?

@JoeWalsh 20 results would be sufficient for Android, too.

JoeWalsh renamed this task from Increase number of results returned by /page/related to Increase number of results returned by /page/related to 20.Jul 12 2018, 4:33 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-17T10:31:32Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@622941d]: Expose the data/mobile/javascript end point, deduplicate most-read results and increase page/related response size to 20 - T199458 T195390

Mentioned in SAL (#wikimedia-operations) [2018-07-17T10:43:36Z] <mobrovac@deploy1001> Started deploy [restbase/deploy@622941d]: Expose the data/mobile/javascript end point, deduplicate most-read results and increase page/related response size to 20, take #2 - T199458 T195390

Mentioned in SAL (#wikimedia-operations) [2018-07-17T11:03:19Z] <mobrovac@deploy1001> Finished deploy [restbase/deploy@622941d]: Expose the data/mobile/javascript end point, deduplicate most-read results and increase page/related response size to 20, take #2 - T199458 T195390 (duration: 19m 43s)

mobrovac closed this task as Resolved.Jul 17 2018, 11:26 AM
mobrovac edited projects, added Services (done), RESTBase-API; removed Services (blocked).

Deployed, resolving.